//
//  DEAbstractDecorator.h
//  UITableViewDecoratorExample
//
//  Created by Valentin Radu on 10/01/2013.
//  Copyright (c) 2013 Valentin Radu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "DEDecoratedViewControllerProtocol.h"

@interface DEAbstractDecorator : NSObject<UITableViewDataSource, UITableViewDelegate, DEDecoratedViewControllerProtocol>

- (id)initWithDecoratedObject:(id<DEDecoratedViewControllerProtocol>) decObj;

@end
