//
//  DECenterDecorator.m
//  UITableViewDecoratorExample
//
//  Created by Valentin Radu on 11/01/2013.
//  Copyright (c) 2013 Valentin Radu. All rights reserved.
//

#import "DEFooterDecorator.h"

@implementation DEFooterDecorator


//we add the footer
- (UIView *) tableView:(UITableView *)tableView viewForFooterInSection:(NSInteger)section
{
    UIView * simpleView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, tableView.bounds.size.width, 40)];
    simpleView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"footer.png"]];
    
    return simpleView;
}

-(CGFloat) tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section
{
    return 40;
}

@end
