//
//  DEHeaderDecorator.m
//  UITableViewDecoratorExample
//
//  Created by Valentin Radu on 11/01/2013.
//  Copyright (c) 2013 Valentin Radu. All rights reserved.
//

#import "DEHeaderDecorator.h"

@implementation DEHeaderDecorator


//we add the header
-(CGFloat)tableView:(UITableView *) tableView heightForHeaderInSection:(NSInteger)section
{
    return 47;
}

-(UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section
{
    UIView * simpleView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, tableView.bounds.size.width, 47)];
    simpleView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"header.png"]];
    
    return simpleView;
}

@end
