//
//  DERedDecorator.m
//  UITableViewDecoratorExample
//
//  Created by Valentin Radu on 11/01/2013.
//  Copyright (c) 2013 Valentin Radu. All rights reserved.
//

#import "DERedDecorator.h"

@implementation DERedDecorator


// here we just create the type of cell we're interested in
// for this decoration
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    NSDictionary * item = self.tableItems[indexPath.row];
    
    UITableViewCell * cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"Cell"];
    cell.textLabel.text = item[@"title"];
    cell.textLabel.textColor = [UIColor redColor];
    
    
    return cell;
}

@end
